jQuery(document).ready(function($) {
  "use strict";
  // here your script
        $('#xs_import_btn').click(function(e){
 		e.preventDefault();
            if(confirm('are you sure to import dummy content ? it will overwrite the existing data') == false){ return false; }
            $('.xs_import_message').show().html('<p>Data is being imported please be patient, while the awesomeness is being created :) </p>');
        var data = {
            'action': 'xs_action'       
        };

       // since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
        $.post(ajaxurl, data, function(response) {
            $('.xs_import_message').html('<p>'+ response +'</p>');
            //alert('Got this from the server: ' + response); <i class="fa fa-spinner fa-3x fa-spin"></i>
        });
		return false;
    });
//alert(ajaxurl);
});